# uenv

~~~
uenv: Mettre à jour la configuration de l'environnement

USAGE
    uenv [-u [projdirs...]]

Cette commande met à jour l'ordre de chargement des fichiers de configuration
dans ~/etc/{profile.d,bashrc.d}. Elle est donc utile si ces fichiers ont été
modifiés manuellement, ou si un fichier a été ajouté manuellement.

OPTIONS
    HOME=/path/to/homedir
        Spécifier le chemin vers ~
        Cette option doit être placée avant les valeurs projdirs.
    -u, --update
        Installer ou mettre à jour les fichiers de profil des projets spécifiés:
        Les fichiers ~/.profile, ~/.bash_profile et ~/.bashrc sont vérifiés et
        corriger automatiquement pour inclure les fichiers de nutools.
        Ensuite, les fichiers de profil sont copié dans les répertoires
        ~/etc/{profile.d,bashrc.d,default}
        Les projets spécifiés *doivent* être configurés avec uinst -C, et
        définir la valeur install_profiles=true dans leur fichier .udir
        Si aucun projet n'est spécifié, prendre les fichiers de profil de
        nutools.
    -l, --local-profiles
        Avec l'option -u, installer les profils locaux comme tels. Pour les
        fichiers de profil qui sont indiqués comme non partagés, les copier dans
        des répertoires spécifiques de la forme {profile,bashrc}.HOSTNAME.d et
        default.HOSTNAME
    -s, --shared-profiles
        Installer les profils locaux comme des profils partagés. C'est l'option
        par défaut.
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary